#
# spec file for package ulogd
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ulogd
%if 0%{?suse_version} >= 1100
BuildRequires:  libmysqlclient-devel sqlite3-devel
%else
BuildRequires:  mysql-devel sqlite-devel
%endif
BuildRequires:	pkgconfig
BuildRequires:  libpcap-devel postgresql-devel
BuildRequires:	libmnl-devel
BuildRequires:	libnetfilter_log-devel
BuildRequires:	libnetfilter_conntrack-devel
BuildRequires:	libnetfilter_acct-devel
BuildRequires:	libnfnetlink-devel
%define ulogd_user ulogd
%define ulogd_group ulogd
%define apparmor_policy_dir %{_sysconfdir}/apparmor.d
Version:        2.0.3
Release:        131.2
License:        GPL v2 or later
Summary:        Netfilter ULOG target log daemon
Group:          System/Daemons
AutoReqProv:    on
Requires:       logrotate
Url:            http://www.netfilter.org/projects/ulogd/
Source0:        http://ftp.netfilter.org/pub/ulogd/%{name}-%{version}.tar.bz2
Source1:        http://ftp.netfilter.org/pub/ulogd/%{name}-%{version}.tar.bz2.sig
Source2:        ulogd.a4.pdf
%if 0%{?suse_version}
Source3:        ulogd.init
%else
Source3:	ulogd.init.rh
%endif
Source4:        ulogd.logrotate
Source5:        ulogd.apparmor
Patch0:         %{name}-2.0.3-config.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
PreReq:         %insserv_prereq %fillup_prereq /usr/sbin/useradd /usr/sbin/groupadd /usr/sbin/usermod
%else
BuildRequires:	shadow-utils
%endif

%package sqlite
License:        GPL v2 or later
Summary:        SQLite output plugin for ulogd
Requires:       ulogd
Group:          System/Daemons

%package mysql
License:        GPL v2 or later
Summary:        MySQL output plugin for ulogd
Requires:       ulogd
Group:          System/Daemons

%package pgsql
License:        GPL v2 or later
Summary:        PostgreSQL output plugin for ulogd
Requires:       ulogd
Group:          System/Daemons

%package pcap
License:        GPL v2 or later
Summary:        PCAP output plugin for ulogd
Requires:       ulogd
Group:          System/Daemons

%package graphite
License:        GPL v2 or later
Summary:        Graphite output plugin for ulogd
Requires:       ulogd
Group:          System/Daemons

%package -n libipulog-devel
License:        GPL v2 or later
Summary:        Netfilter ULOG target library
Group:          Development/Libraries/Other

%description
Ulogd is an universal logging daemon for the ULOG target of netfilter,
the Linux 2.4/2.6 firewalling subsystem. Ulogd is able to log packets
in various formats to different targets (text files, databases, etc..).
It has an easy-to-use plugin interface to add new protocols and new
output targets.



Authors:
--------
    Harald Welte <laforge@gnumonks.org>

%description sqlite
ulogd-sqlite is a output plugin for ulogd. It enables logging of
firewall information into a SQLite database.



Authors:
--------
    Harald Welte <laforge@gnumonks.org>

%description mysql
ulogd-mysql is a output plugin for ulogd. It enables logging of
firewall information into a MySQL database.



Authors:
--------
    Harald Welte <laforge@gnumonks.org>

%description pgsql
Ulogd-pgsql is a output plugin for ulogd. It enables logging of
firewall information into a PostgreSQL database.



Authors:
--------
    Harald Welte <laforge@gnumonks.org>

%description pcap
Ulogd-pcap is a output plugin for ulogd. It enables logging of firewall
information to pcap-style files (like tcpdump).



Authors:
--------
    Harald Welte <laforge@gnumonks.org>


%description graphite
Ulogd-graphite is a output plugin for ulogd. It enables logging of firewall
information to Graphite (Scalable Realtime Graphing).



Authors:
--------
    Harald Welte <laforge@gnumonks.org>
%description -n libipulog-devel
Libipulog is a little library which provides a convenient way to
receive netfilter ULOG target log messages.



Authors:
--------
    Harald Welte <laforge@gnumonks.org>

%prep
%setup -q
%patch0 -p0

%build
#autoconf
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure \
	--with-sqlite3=%{_prefix} \
	--with-mysql=%{_prefix} \
	--with-pgsql=%{_prefix}
make
#rm -f ulogd
#export CFLAGS="$RPM_OPT_FLAGS -fPIE"
#export LDFLAGS="-pie"
#make ulogd

%install
install -d -m0755 %{buildroot}/%{_sysconfdir}/logrotate.d
install -d -m0755 %{buildroot}/%{_sysconfdir}/init.d
install -d -m0755 %{buildroot}/%{_includedir}/libipulog
install -d -m0755 %{buildroot}/%{_sbindir}
install -d -m0755 %{buildroot}/%{_libdir}/ulogd
install -d -m0755 %{buildroot}/%{_localstatedir}/lib/ulogd
install -d -m0755 %{buildroot}/%{_localstatedir}/log/ulogd
install -d -m0755 %{buildroot}/%{apparmor_policy_dir}
make DESTDIR=%{buildroot} install
#
install -m0754 %{S:3} \
               %{buildroot}/%{_sysconfdir}/init.d/ulogd
ln -sf         %{_sysconfdir}/init.d/ulogd \
               %{buildroot}/%{_sbindir}/rculogd
install -m0644 $RPM_SOURCE_DIR/ulogd.logrotate \
               %{buildroot}/%{_sysconfdir}/logrotate.d/ulogd
install -m0644 include/libipulog/libipulog.h \
               %{buildroot}/%{_includedir}/libipulog/libipulog.h
install -m0644 libipulog/.libs/libipulog.a \
               %{buildroot}/%{_libdir}/libipulog.a
install -m0644 $RPM_SOURCE_DIR/ulogd.apparmor \
               %{buildroot}/%{apparmor_policy_dir}/usr.sbin.ulogd
install -m0644 ulogd.conf %{buildroot}%{_sysconfdir}/ulogd.conf

%clean
rm -rf %{buildroot}

%pre
%if %{?ulogd_group:1}0
/usr/sbin/groupadd -r %{ulogd_group} 2> /dev/null || :
%endif
%if %{?ulogd_user:1}0
/usr/sbin/useradd -r %{?ulogd_group:-g %ulogd_group}%{!?ulogd_group:-g nogroup} -s /bin/false -c "ulog daemon" -d /var/lib/ulog %ulogd_user 2> /dev/null ||:
/usr/sbin/usermod -s /bin/false -d /var/lib/ulog %ulogd_user 2> /dev/null ||:
%endif

%post
%if 0%{?suse_version}
%{fillup_and_insserv -f ulogd}
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal ulogd
%endif

%postun
%if 0%{?suse_version}
%restart_on_update ulogd
%{insserv_cleanup}
%endif

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_sbindir}/ulogd
%attr(0755,root,root) %{_sbindir}/rculogd
%if %{?ulogd_user:1}0
%if %{?ulogd_group:1}0
%attr(0640,root,%ulogd_group) %config(noreplace) %{_sysconfdir}/ulogd.conf
%else
%attr(0640,%ulogd_user,root) %config(noreplace) %{_sysconfdir}/ulogd.conf
%endif
%else
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/ulogd.conf
%endif
%config(noreplace) %{_sysconfdir}/logrotate.d/ulogd
%dir %{apparmor_policy_dir}
%config(noreplace) %{apparmor_policy_dir}/usr.sbin.ulogd
%dir %{_libdir}/ulogd
%{_libdir}/ulogd/ulogd_filter_HWHDR.la                                      
%{_libdir}/ulogd/ulogd_filter_HWHDR.so                                      
%{_libdir}/ulogd/ulogd_filter_IFINDEX.la                                    
%{_libdir}/ulogd/ulogd_filter_IFINDEX.so                                    
%{_libdir}/ulogd/ulogd_filter_IP2BIN.la                                     
%{_libdir}/ulogd/ulogd_filter_IP2BIN.so                                     
%{_libdir}/ulogd/ulogd_filter_IP2HBIN.la                                    
%{_libdir}/ulogd/ulogd_filter_IP2HBIN.so                                    
%{_libdir}/ulogd/ulogd_filter_IP2STR.la                                     
%{_libdir}/ulogd/ulogd_filter_IP2STR.so                                     
%{_libdir}/ulogd/ulogd_filter_MARK.la                                       
%{_libdir}/ulogd/ulogd_filter_MARK.so                                       
%{_libdir}/ulogd/ulogd_filter_PRINTFLOW.la                                  
%{_libdir}/ulogd/ulogd_filter_PRINTFLOW.so                                  
%{_libdir}/ulogd/ulogd_filter_PRINTPKT.la                                   
%{_libdir}/ulogd/ulogd_filter_PRINTPKT.so                                   
%{_libdir}/ulogd/ulogd_filter_PWSNIFF.la                                    
%{_libdir}/ulogd/ulogd_filter_PWSNIFF.so                                    
%{_libdir}/ulogd/ulogd_inpflow_NFACCT.la                                    
%{_libdir}/ulogd/ulogd_inpflow_NFACCT.so                                    
%{_libdir}/ulogd/ulogd_inpflow_NFCT.la                                      
%{_libdir}/ulogd/ulogd_inpflow_NFCT.so
%{_libdir}/ulogd/ulogd_inppkt_NFLOG.la
%{_libdir}/ulogd/ulogd_inppkt_NFLOG.so
%{_libdir}/ulogd/ulogd_inppkt_ULOG.la
%{_libdir}/ulogd/ulogd_inppkt_ULOG.so
%{_libdir}/ulogd/ulogd_inppkt_UNIXSOCK.la
%{_libdir}/ulogd/ulogd_inppkt_UNIXSOCK.so
%{_libdir}/ulogd/ulogd_output_GPRINT.la
%{_libdir}/ulogd/ulogd_output_GPRINT.so
%{_libdir}/ulogd/ulogd_output_LOGEMU.la
%{_libdir}/ulogd/ulogd_output_LOGEMU.so
%{_libdir}/ulogd/ulogd_output_NACCT.la
%{_libdir}/ulogd/ulogd_output_NACCT.so
%{_libdir}/ulogd/ulogd_output_OPRINT.la
%{_libdir}/ulogd/ulogd_output_OPRINT.so
%{_libdir}/ulogd/ulogd_output_SYSLOG.la
%{_libdir}/ulogd/ulogd_output_SYSLOG.so
%{_libdir}/ulogd/ulogd_output_XML.la
%{_libdir}/ulogd/ulogd_output_XML.so
%{_libdir}/ulogd/ulogd_raw2packet_BASE.la
%{_libdir}/ulogd/ulogd_raw2packet_BASE.so
%{_sysconfdir}/init.d/ulogd
%dir %{_localstatedir}/lib/ulogd
%if %{?ulogd_user:1}0
%attr(0750,%{ulogd_user},%{?ulogd_group}%{!?ulogd_group:root}) %dir %{_localstatedir}/log/ulogd
%else
%dir %{_localstatedir}/log/ulogd
%endif
%{_mandir}/man8/ulogd.8*
%doc COPYING AUTHORS README ulogd.conf
%doc $RPM_SOURCE_DIR/ulogd.a4.pdf
%doc doc/sqlite3.table
%doc doc/mysql-ulogd2*.sql
%doc doc/pgsql-ulogd2*.sql

%files sqlite
%defattr(-,root,root)
%{_libdir}/ulogd/ulogd_output_SQLITE3.la
%{_libdir}/ulogd/ulogd_output_SQLITE3.so

%files mysql
%defattr(-,root,root)
%{_libdir}/ulogd/ulogd_output_MYSQL.la
%{_libdir}/ulogd/ulogd_output_MYSQL.so

%files pgsql
%defattr(-,root,root)
%{_libdir}/ulogd/ulogd_output_PGSQL.la
%{_libdir}/ulogd/ulogd_output_PGSQL.so

%files pcap
%defattr(-,root,root)
%{_libdir}/ulogd/ulogd_output_PCAP.la
%{_libdir}/ulogd/ulogd_output_PCAP.so

%files graphite
%defattr(-,root,root)
%{_libdir}/ulogd/ulogd_output_GRAPHITE.la
%{_libdir}/ulogd/ulogd_output_GRAPHITE.so

%files -n libipulog-devel
%defattr(-,root,root)
%{_libdir}/libipulog.a
%{_includedir}/libipulog

%changelog
* Fri Nov 29 2013 cs@linux-administrator.com
- update to release 2.0.3
* Tue Mar  5 2013 cs@linux-administrator.com
- update to release 2.0.2
* Tue Oct  9 2012 cs@linux-administrator.com
- update to release 2.0.1
* Mon Aug 27 2012 cs@linux-administrator.com
- rename pkg-config to pkgconfig in BuildRequires
- add RH init script
* Sat Jul  7 2012 cs@linux-administrator.com
- first build of version 2.0.0
